Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLRadioButton Class Reference

A single radio button. More...

`#include <sdlradiobutton.h>`

Inheritance diagram for SDLRadioButton

[legend]
Collaboration diagram for SDLRadioButton:

[legend]
List of all members.

## Public Methods
| SDLRadioButton (SDLWidget* parent, int id, SDL_Rect& r, char* text, SDLRadioButton* firstOfGroup = NULL)
| ~SDLRadioButton ()
void | LoadThemeStyle (const char* widgettype)
| Load a style from the theme definition. More...
bool | GetPressed ()
void | SetPressed ()
void | SetTextFormat (char* text, ...)
| Sets formated text (like printf). More...
void | SetText (char* text)
char* | GetText ()
## Protected Methods
void | AddToGroup (SDLRadioButton* w)
void | ReleaseButton ()
void | eventMouseEnter ()
void | eventMouseLeave ()
bool | eventMouseButtonUp (const SDL_MouseButtonEvent* button)
| Overridable Eventhandler for a SDL_MouseButtonEvent message. More...
bool | eventButtonClick (int id, SDLWidget* widget)
## Protected Attributes
SDLRadioButton* | my_groupFirst
SDLRadioButton* | my_groupNext
SDLButton* | my_widgetButton
SDLLabel* | my_widgetLabel
bool | my_isPressed

## Detailed Description

A single radio button.

Author(s):
  Alexander Pipelka

A single radio button, which has an attribute to signify what group it belongs to.

Definition at line 59 of file sdlradiobutton.h.

## Constructor & Destructor Documentation

SDLRadioButton::SDLRadioButton ( | SDLWidget * parent,
| int id,
| SDL_Rect & r,
| char * text,
| SDLRadioButton * firstOfGroup = NULL )

SDLRadioButton::~SDLRadioButton ( | )

## Member Function Documentation

void SDLRadioButton::AddToGroup ( | SDLRadioButton * w )`[protected]`

bool SDLRadioButton::GetPressed ( | )

char * SDLRadioButton::GetText ( | )

void SDLRadioButton::LoadThemeStyle ( | const char * widgettype )`[virtual]`

  | Load a style from the theme definition. Parameters:
  widgettype | name of the widgettype
  objectname | name of the object
Loads the defined style for a given widgettype Reimplemented from SDLGradientWidget.

void SDLRadioButton::ReleaseButton ( | )`[protected]`

void SDLRadioButton::SetPressed ( | )

void SDLRadioButton::SetText ( | char * text )

void SDLRadioButton::SetTextFormat ( | char * text,
| ... )

| Sets formated text (like printf).

bool SDLRadioButton::eventButtonClick ( | int id,
| SDLWidget * widget )`[protected, virtual]`

| Reimplemented from SDLMessageObject. Reimplemented in SDLCheckButton.

bool SDLRadioButton::eventMouseButtonUp ( | const SDL_MouseButtonEvent * my_widgetButton )`[protected, virtual]`

  | Overridable Eventhandler for a SDL_MouseButtonEvent message. This handler is called when a mouse button is released. The default implementation returns 'false' which indicates that this message is not processed by this object. Parameters:
  button | SDL_MouseButtonEvent message
Returns: Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver. Reimplemented from SDLWidgetDnD. Reimplemented in SDLCheckButton.

void SDLRadioButton::eventMouseEnter ( | )`[protected, virtual]`

| Reimplemented from SDLWidget.

void SDLRadioButton::eventMouseLeave ( | )`[protected, virtual]`

| Reimplemented from SDLWidget.

## Member Data Documentation

SDLRadioButton * SDLRadioButton::my_groupFirst`[protected]`

| Definition at line 107 of file sdlradiobutton.h.

SDLRadioButton * SDLRadioButton::my_groupNext`[protected]`

| Definition at line 108 of file sdlradiobutton.h.

bool SDLRadioButton::my_isPressed`[protected]`

| Definition at line 112 of file sdlradiobutton.h.

SDLButton * SDLRadioButton::my_widgetButton`[protected]`

| Definition at line 110 of file sdlradiobutton.h.

SDLLabel * SDLRadioButton::my_widgetLabel`[protected]`

| Definition at line 111 of file sdlradiobutton.h.

The documentation for this class was generated from the following file:

- sdlradiobutton.h